#SFRD_phased2 P
import App

def Create(pTorp):
	kGlowColor = App.TGColorA()
	kGlowColor.SetRGBA(104.0 / 255.0, 200.0 / 255.0, 255.0 / 255.0, 1.000000)	
	kCoreColor = App.TGColorA()
	kCoreColor.SetRGBA(255.0 / 255.0, 255.0 / 255.0, 255.0 / 255.0, 1.000000)
	pTorp.CreateTorpedoModel(
					"data/Textures/Tactical/SFRD_Phas2TorpedoCore.tga",
					kCoreColor,
					0.2,
					9.0,
					"data/Textures/Tactical/SFRD_Phas2TorpedoGlow.tga", 
					kGlowColor,
					4.0,
					0.3,
					0.4,
					"data/Textures/Tactical/SFRD_Phas2TorpedoFlares.tga",
					kGlowColor,
					0,
					0.0,
					0.0)

	pTorp.SetDamage( GetDamage() )
	pTorp.SetDamageRadiusFactor(0.17)
	pTorp.SetGuidanceLifetime( GetGuidanceLifetime() )
	pTorp.SetMaxAngularAccel( GetMaxAngularAccel() )
	pTorp.SetLifetime( GetLifetime() )

	# Multiplayer specific stuff.  Please, if you create a new torp
	# type. modify the SpeciesToTorp.py file to add the new type.
	import Multiplayer.SpeciesToTorp
	pTorp.SetNetType (Multiplayer.SpeciesToTorp.QUANTUM)

	return(0)

def GetLaunchSpeed():
	return(27)

def GetLaunchSound():
	return("SFRD_Phas2Torpedo")

def GetPowerCost():
	return(30.0)

def GetName():
	return("Phase Quantum")

def GetDamage():
	return 2800

def GetGuidanceLifetime():
	return 7.0

def GetMaxAngularAccel():
	return 0.2

def GetLifetime():
	return 6
